Proxy (cglib (Version 2.2.2))
Keywords: net.sf.cglib.proxy.Proxy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.proxy
Class Proxy

    java.lang.Object
      net.sf.cglib.proxy.Proxy

All Implemented Interfaces:
  java.io.Serializable

    public class Proxy

extends java.lang.Object
implements java.io.Serializable

This class is meant to be used as replacement for `java.lang.reflect.Proxy` under JDK 1.2. There are some known subtle differences:

- The exceptions returned by invoking `getExceptionTypes` on the `Method` passed to the `invoke` method are the exact set that can be thrown without resulting in an `UndeclaredThrowableException` being thrown.
- `UndeclaredThrowableException` is used instead of `java.lang.reflect.UndeclaredThrowableException`.

Version:
  $Id: Proxy.java,v 1.6 2004/06/24 21:15:19 herbyderby Exp $
See Also:
  Serialized Form

Method Summary
`static InvocationHandler` | `getInvocationHandler(java.lang.Object proxy)`
`static java.lang.Class` | `getProxyClass(java.lang.ClassLoader loader, java.lang.Class[] interfaces)`
`static boolean` | `isProxyClass(java.lang.Class cl)`
`static java.lang.Object` | `newProxyInstance(java.lang.ClassLoader loader, java.lang.Class[] interfaces, InvocationHandler h)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInvocationHandler

    public static InvocationHandler getInvocationHandler(java.lang.Object proxy)

### getProxyClass

    public static java.lang.Class getProxyClass(java.lang.ClassLoader loader,
                                                java.lang.Class[] interfaces)

### isProxyClass

    public static boolean isProxyClass(java.lang.Class cl)

### newProxyInstance

    public static java.lang.Object newProxyInstance(java.lang.ClassLoader loader,
                                                    java.lang.Class[] interfaces,
                                                    InvocationHandler h)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation